Skip to main content
PUT
/
advertisers
/
{advertiserId}
/
event-sources
/
{eventSourceId}
Update event source
curl --request PUT \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/event-sources/{eventSourceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "eventTypes": [
    "page_view"
  ],
  "allowedDomains": [
    "<string>"
  ]
}
'
{
  "eventSource": {
    "eventSourceId": "retailer_sales",
    "name": "Retailer Sales Pixel",
    "eventTypes": [
      "page_view"
    ],
    "allowedDomains": [
      "<string>"
    ],
    "createdAt": "2026-01-15T10:30:00.000Z",
    "updatedAt": "2026-01-20T14:45:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required
Minimum string length: 1
eventSourceId
string
required
Minimum string length: 1

Body

application/json

Request body for updating an event source

name
string

Updated name for this event source

Required string length: 1 - 255
eventTypes
enum<string>[]

Updated event types this source handles

Minimum array length: 1

IAB ECAPI event type to optimize for

Available options:
page_view,
view_content,
select_content,
select_item,
search,
share,
add_to_cart,
remove_from_cart,
viewed_cart,
add_to_wishlist,
initiate_checkout,
add_payment_info,
purchase,
refund,
lead,
qualify_lead,
close_convert_lead,
disqualify_lead,
complete_registration,
subscribe,
start_trial,
app_install,
app_launch,
contact,
schedule,
donate,
submit_application,
custom
allowedDomains
string[]

Updated authorized domains

Minimum string length: 1

Response

Update event source

Response containing a single event source

eventSource
object
required

Event source resource representation